Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany > Struct Template Reference

Argument traits of fixed size element array. More...

`#include <Fixed_Array_Argument_T.h>`

List of all members.

## Public Types
typedef T_slice * | ret_type
typedef const T | in_type
typedef T | inout_type
typedef T | out_type
typedef In_Fixed_Array_Argument_T< T, T_slice, T_forany > | in_arg_val
typedef Inout_Fixed_Array_Argument_T< T, T_slice, T_forany > | inout_arg_val
typedef Out_Fixed_Array_Argument_T< T, T_slice, T_forany > | out_arg_val
typedef Ret_Fixed_Array_Argument_T< T, T_slice, T_var, T_forany > | ret_val
typedef Fixed_Array_Tag | idl_tag

## Detailed Description

### template<typename T, typename T_slice, typename T_var, typename T_forany>
struct TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >

Argument traits of fixed size element array.

## Member Typedef Documentation

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef Fixed_Array_Tag TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::idl_tag

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef In_Fixed_Array_Argument_T<T, T_slice, T_forany> TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::in_arg_val

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef const T TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::in_type

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef Inout_Fixed_Array_Argument_T<T, T_slice, T_forany> TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::inout_arg_val

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef T TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::inout_type

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef Out_Fixed_Array_Argument_T<T, T_slice, T_forany> TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::out_arg_val

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef T TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::out_type

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef T_slice* TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::ret_type

template<typename T, typename T_slice, typename T_var, typename T_forany>
typedef Ret_Fixed_Array_Argument_T<T, T_slice, T_var, T_forany> TAO::Fixed_Array_Arg_Traits_T< T, T_slice, T_var, T_forany >::ret_val

The documentation for this struct was generated from the following file:

- Fixed_Array_Argument_T.h